#include <gnome.h>



/*
 * window : Inits.
 */
void
on_window_realize                      (GtkWidget       *widget,
                                        gpointer         user_data);

/*
 * window : Init CList.
 */
void
on_clist_realize                       (GtkWidget       *widget,
                                        gpointer         user_data);

/*
 * window : Select row.
 */
void
on_clist_select_row                    (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);
/*
 * window : Button press on row.
 *          Button 3 display Menu.
 *          dbClick -> Edit.
 */
gboolean
on_clist_button_press_event            (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

/*
 * window : Sort by column.
 */
void
on_clist_click_column                  (GtkCList        *clist,
                                        gint             column,
                                        gpointer         user_data);

/*
 * menu : Menu contextuel.
 */
void
on_new_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_edit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_erase_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_params_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

/* 
 * window : About LBB ? 
 */
void
on_about_button_clicked                (GtkButton       *button,
                                        gpointer         user_data);

/* 
 * win_load : Load new file_lbb.
 */
void
on_load_button_clicked                 (GtkButton       *button,
                                        gpointer         user_data);
void
on_load_accept_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

/* 
 * win_save : Save address book.
 */
void
on_saveas_button_clicked               (GtkButton       *button,
                                        gpointer         user_data);
void
on_save_accept_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

/*
 * window : Erase current card.
 */
void
on_erase_button_clicked                (GtkButton       *button,
                                        gpointer         user_data);

/*
 * new : AddNew card.
 */
void
on_new_button_clicked                  (GtkButton       *button,
                                        gpointer         user_data);
void
on_button_accept_clicked               (GtkButton       *button,
                                        gpointer         user_data);
void
on_new_realize                         (GtkWidget       *widget,
                                        gpointer         user_data);
/*
 * new : Update name.
 */
void
on_entry_new_firstname_realize         (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_firstname_changed         (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_lastname_realize          (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_lastname_changed          (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_nickname_realize          (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_nickname_changed          (GtkEditable     *editable,
                                        gpointer         user_data);
/*
 * new : Update entreprise.
 */
void
on_entry_new_org_realize               (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_org_changed               (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_title_realize             (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_title_changed             (GtkEditable     *editable,
                                        gpointer         user_data);
/*
 * new : Update addresse.
 */
void
on_entry_new_street1_realize           (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_street1_changed           (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_street2_realize           (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_street2_changed           (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_zipcode_realize           (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_zipcode_changed           (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_city_realize              (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_city_changed              (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_state_realize             (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_state_changed             (GtkEditable     *editable,
                                        gpointer         user_data);
/*
 * new : Update phone.
 */
void
on_entry_new_homephone_realize         (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_homephone_changed         (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_workphone_realize         (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_workphone_changed         (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_cellular_realize          (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_cellular_changed          (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_fax_realize               (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_fax_changed               (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_pager_realize             (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_pager_changed             (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_other_realize             (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_other_changed             (GtkEditable     *editable,
                                        gpointer         user_data);
/*
 * new : Update internet.
 */
void
on_entry_new_email1_realize            (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_email1_changed            (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_email2_realize            (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_email2_changed            (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_email3_realize            (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_email3_changed            (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_url_realize               (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_url_changed               (GtkEditable     *editable,
                                        gpointer         user_data);
/*
 * new : Update notes.
 */
void
on_text_new_comments_realize           (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_text_new_comments_changed           (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_new_pgp_realize               (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_new_pgp_changed               (GtkEditable     *editable,
                                        gpointer         user_data);

/* 
 * edit : Change card.
 */
void 
on_edit_button_clicked                 (GtkButton       *button,
                                        gpointer         user_data);
void
on_button_change_clicked               (GtkButton       *button,
                                        gpointer         user_data);
void
on_edit_realize                        (GtkWidget       *widget,
                                        gpointer         user_data);
/*
 * edit : Update name.
 */
void
on_entry_edit_firstname_realize        (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_firstname_changed        (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_lastname_realize         (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_lastname_changed         (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_nickname_realize         (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_nickname_changed         (GtkEditable     *editable,
                                        gpointer         user_data);
/*
 * edit : Update org.
 */
void
on_entry_edit_org_realize              (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_org_changed              (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_title_realize            (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_title_changed            (GtkEditable     *editable,
                                        gpointer         user_data);
/*
 * edit : Update addresse.
 */
void
on_entry_edit_street1_realize          (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_street1_changed          (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_street2_realize          (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_street2_changed          (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_zipcode_realize          (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_zipcode_changed          (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_city_realize             (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_city_changed             (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_state_realize            (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_state_changed            (GtkEditable     *editable,
                                        gpointer         user_data);
/*
 * edit : Update phone.
 */
void
on_entry_edit_homephone_realize        (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_homephone_changed        (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_workphone_realize        (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_workphone_changed        (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_cellular_realize         (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_cellular_changed         (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_fax_realize              (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_fax_changed              (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_pager_realize            (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_pager_changed            (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_other_realize            (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_other_changed            (GtkEditable     *editable,
                                        gpointer         user_data);
/*
 * edit : Update internet.
 */
void
on_entry_edit_email1_realize           (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_email1_changed           (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_email2_realize           (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_email2_changed           (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_email3_realize           (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_email3_changed           (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_url_realize              (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_url_changed              (GtkEditable     *editable,
                                        gpointer         user_data);
/*
 * edit : Update notes.
 */
void
on_text_edit_comments_realize          (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_text_edit_comments_changed          (GtkEditable     *editable,
                                        gpointer         user_data);
void
on_entry_edit_pgp_realize              (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_entry_edit_pgp_changed              (GtkEditable     *editable,
                                        gpointer         user_data);



